#
# spec file for package kdegraphics (Version 2.2.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gphoto gpp hp-officeJet iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel kdelibs-devel-doc kdoc libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-devel-doc qt-extensions sane sp sp-devel te_kpath tetex xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim audiofile autoconf automake binutils cracklib docbook-dsssl-stylesheets docbook_3 fam freetype2 gcc gdbm gettext gphoto gpp hp-officeJet iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel kdelibs-devel-doc kdoc libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz mesa mesa-devel mesasoft pam perl qt qt-devel qt-devel-doc qt-extensions rpm sane sp sp-devel te_ams te_kpath te_latex tetex xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdegraphics
Obsoletes:    kgraph2,kruler
Provides:     kgraph2,kruler
Copyright:    GPL
Group:        X11/KDE/Graphics
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      KDE graphics programs
Version:      2.2.1
Release:      100
Source0:      %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.dif
Patch1:       kooka_cvs.dif
Patch2:       fix-sig11.dif

%description
Different graphic programs for KDE 2.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package devel
Version:      2.2.1
Release:      100
Requires:     kdegraphics kdelibs-devel
Summary:      build enviroment from kdegraphics
Group:        X11/KDE/Development

%description devel
The build enviroment from kdegraphics.

Needed to compile some applications.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package -n kscanlib
Version:      2.2.1
Release:      100
Summary:      Scanner library for KDE2 using SANE
Group:        X11/KDE/Base

%description -n kscanlib
This new work on kscan provides ready to use widgets and objects in the kde
programming environment, which allow to access scanner hardware using the SANE
library. SANE provides an interface to many scanner modells, thus kscan makes
it possible to create integrative GUI's for many different scanners in all
KDE-programs that want to provide scanner access.
By now, kscan provides an object KScanDevice, which allows to open and connect
to a locally installed scanner. The Object can cope with the scanner
capabilities and provides easy to use methods to deal with the scan options.
Furthermore, a widget factory is provided, which returns ready to use widgets
for scanner capabilities to insert in a programs GUI.

Authors:
--------
    Ivan Shvedunov <ivan_iv@rf-hp.npi.msu.su>
    Klaas Freitag  <freitag@suse.de>

SuSE series: k2de

%package -n kooka
Version:      2.2.1
Release:      100
Summary:      Image scan program under KDE2
Group:        X11/KDE/Graphics

%description -n kooka
Kooka is a image scan program under KDE2 which uses the SANE library.

Please note that Kooka is in a very early state.

Authors:
--------
    Klaas Freitag <freitag@suse.de>

SuSE series: k2de

%prep
%setup
%patch
%patch1
%patch2

%build
 
export OPT_LEVEL="-O2"
 
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --enable-final \
  --disable-debug \
  --with-qt-dir=/usr/lib/qt2 \
  --prefix=/opt/kde2 \
  --datadir=/var/lib/texmf/ \
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip
#
# create kdegraphics API documentation
#
export KDEDOCDIR=/usr/share/doc/KDE-API/
if [ -x /opt/kde2/bin/makekdedoc -a -x /opt/kde2/bin/meinproc ]; then
     makekdedoc --libdir=$KDEDOCDIR/kdoc-reference/ \
                --kdocopt='--skip-internal --compress' \
                --url=$KDEDOCDIR \
                --outputdir=${RPM_BUILD_ROOT}/$KDEDOCDIR
     # bug in makekdedoc ... 
     mkdir -p ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference/
     mv /usr/share/doc/KDE-API/kdoc-reference/libkscan* ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference/
     echo "KDE Scanner interface library." > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/libkscan/description.SuSEconfig
     echo "kdegraphics"                    > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/libkscan/package.SuSEconfig
     echo "%doc /usr/share/doc/KDE-API/libkscan" > ${RPM_BUILD_DIR}/kscanlib.list
     echo "%doc /usr/share/doc/KDE-API/kdoc-reference/*" >> ${RPM_BUILD_DIR}/kscanlib.list
else
     touch  ${RPM_BUILD_DIR}/kscanlib.list
fi

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc AUTHORS COPYING ChangeLog INSTALL README 
/opt/kde2/share/applnk/Graphics/*
/opt/kde2/share/apps/kdvi
/opt/kde2/share/apps/kfax
/opt/kde2/share/apps/kfract
/opt/kde2/share/apps/kghostview
/opt/kde2/share/apps/kiconedit
/opt/kde2/share/apps/kpaint
/opt/kde2/share/apps/kruler
/opt/kde2/share/apps/kview
/opt/kde2/share/apps/kviewshell
/opt/kde2/share/apps/kviewerpart
/opt/kde2/share/doc/HTML/en/*
/opt/kde2/share/icons/*/??x??/*/*
/opt/kde2/bin/kcolorchooser
/opt/kde2/bin/kcoloredit
/opt/kde2/bin/kdvi
/opt/kde2/bin/kfax
/opt/kde2/bin/kfract
/opt/kde2/bin/kghostview
/opt/kde2/bin/kiconedit
/opt/kde2/bin/kpaint
/opt/kde2/bin/kruler
/opt/kde2/bin/ksnapshot
/opt/kde2/bin/kview
/opt/kde2/bin/kviewshell
/opt/kde2/lib/libkdvi.*
/opt/kde2/lib/libkfax.*
/opt/kde2/lib/libkghostview.*
/opt/kde2/lib/libkmultipage.*
/opt/kde2/lib/libkpagetest.*
/opt/kde2/lib/libkviewerpart.*
/opt/kde2/lib/libkviewpart.*
/opt/kde2/lib/kcolorchooser.*
/opt/kde2/lib/kview.*

%files devel
/opt/kde2/include/*

%files -n kscanlib -f ../kscanlib.list
/opt/kde2/lib/libkscan*
/opt/kde2/share/services/scanservice.desktop

%files -n kooka
%defattr(-, root, root)
/opt/kde2/bin/kooka
/opt/kde2/share/apps/kooka
/opt/kde2/share/applnk/Utilities/kooka.desktop

%changelog -n kdegraphics
* Fri Sep 27 2002 - adrian@suse.de
- fix segfault in kghostview with broken ps files
  (based on okir's gv patch)
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1 final
* Thu Sep 06 2001 - adrian@suse.de
- update kooka&libkscan to current stable version
  (patch from freitag)
* Fri Aug 31 2001 - ro@suse.de
- added <hp-officeJet> to neededforbuild (for sane)
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild
- generate api documentation
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Sun Apr 08 2001 - adrian@suse.de
- update to current KDE_2_1_BRANCH (minor kpaint changes)
- drop -O0 for ppc and alpha
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Jan 29 2001 - sf@suse.de
- added udate_suse_config
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Tue Dec 19 2000 - adrian@suse.de
- fix file conflict in a different way
* Tue Dec 19 2000 - ro@suse.de
- comment icons-line in file-list (none left)
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - adrian@suse.de
- second try of beta 4
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Mon Jul 10 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@dsuse.de
- update to kde 1.91; beta 2
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000, post-1.90
